import React from 'react'

const Cards = ({totalPosts, activePosts, inactivePosts, rejectedStatusPosts}) => {
    return (
        <div className='flex gap-8 mt-8'>
            <div className='bg-brand font-semibold border-secondary border-[1px] rounded-lg shadow-lg py-4 px-6 w-[300px] text-white'>
                <p className='text-2xl'>All Properties</p>
                <div className="flex gap-8 items-center mt-4 justify-between">
                    <p className='text-3xl'>{totalPosts}</p>
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" strokeWidth={1.5} stroke="#fff" className="size-10">
                        <path strokeLinecap="round" strokeLinejoin="round" d="M19.5 14.25v-2.625a3.375 3.375 0 0 0-3.375-3.375h-1.5A1.125 1.125 0 0 1 13.5 7.125v-1.5a3.375 3.375 0 0 0-3.375-3.375H8.25m0 12.75h7.5m-7.5 3H12M10.5 2.25H5.625c-.621 0-1.125.504-1.125 1.125v17.25c0 .621.504 1.125 1.125 1.125h12.75c.621 0 1.125-.504 1.125-1.125V11.25a9 9 0 0 0-9-9Z" />
                    </svg>

                </div> 
            </div>

            <div className='bg-[#DCCFFF] font-semibold border-secondary border-[1px] rounded-lg shadow-lg py-4 px-6 w-[300px]'>
                <p className='text-2xl'>Pending Properties</p>
                <div className="flex gap-8 mt-4 justify-between">
                    <p className='text-3xl'>{inactivePosts}</p>
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" strokeWidth={1.5} stroke="currentColor" className="size-10 text-brand">
                        <path strokeLinecap="round" strokeLinejoin="round" d="M12 6v6h4.5m4.5 0a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                    </svg>
                </div>
            </div>

            <div className='bg-[#DCCFFF] font-semibold border-secondary border-[1px] rounded-lg shadow-lg py-4 px-6 w-[300px]'>
                <p className='text-2xl'>Rejected Properties</p>
                <div className="flex gap-8 mt-4 justify-between">
                    <p className='text-3xl'>{rejectedStatusPosts}</p>
                    <svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 24 24" strokeWidth={1.5} stroke="currentColor" className="size-10 text-brand">
                        <path strokeLinecap="round" strokeLinejoin="round" d="m9.75 9.75 4.5 4.5m0-4.5-4.5 4.5M21 12a9 9 0 1 1-18 0 9 9 0 0 1 18 0Z" />
                    </svg>
                </div>
            </div>
        </div>
    )
}

export default Cards